Developer Hub

Proxy API (Beta)

Simplified access to Pyth Pro prices without authentication

Beta Service

This service is in beta and is not meant for production use. The service might go down and all interfaces, URLs, etc. might change without notice.

Base URLs

For improved reliability, it is recommended to use all three proxy instances. Your application should be configured to fall back to the other URLs if one is unavailable.

InstanceURL
Proxy 1https://pyth-lazer-proxy-1.dourolabs.app
Proxy 2https://pyth-lazer-proxy-2.dourolabs.app
Proxy 3https://pyth-lazer-proxy-3.dourolabs.app

API Documentation: https://pyth-lazer-proxy-1.dourolabs.app/docs/

Endpoints

MethodPathDescription
GET/v1/latest_priceFetch latest price for given feed IDs
GET/v1/streamStream continuous price updates (SSE)

GET /v1/latest_price

Query Parameters

ParameterTypeRequiredDescriptionExample
price_feed_idsnumber[]YesPrice feed IDs (repeatable parameter)?price_feed_ids=1&price_feed_ids=2

Example

https://pyth-lazer-proxy-1.dourolabs.app/v1/latest_price?price_feed_ids=1&price_feed_ids=2

GET /v1/stream

Query Parameters

ParameterTypeRequiredDescriptionExample
price_feed_idsnumber[]YesPrice feed IDs (repeatable parameter)?price_feed_ids=1&price_feed_ids=2

Example

https://pyth-lazer-proxy-1.dourolabs.app/v1/stream?price_feed_ids=1&price_feed_ids=2

Returns Server-Sent Events (SSE) stream of continuous price updates.

On this page